> For the complete documentation index, see [llms.txt](https://docs.myshell.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.myshell.ai/create/pro-config-mode/advanced/advanced-input-validation.md).

# Advanced Input Validation

## Input Field Validation Rules

You can enhance your input form by setting validation rules on input fields. These rules help ensure data integrity and improve user experience.

### Example: Increasing Character Limit

Some LLMs support up to 128K tokens. If you want to increase the character limit of your input message field from 1500 to 3000 characters, you can modify the configuration as follows:

```json
"input_message": {
  "type": "text",
  "user_input": true,
  "validations": {
    "required": false,
    "max_length": 3000
  }
}
```

### Available Validation Fields

| Name            | Type    | Applicable Input Types                | Description                                          |
| --------------- | ------- | ------------------------------------- | ---------------------------------------------------- |
| required        | boolean | Any                                   | Determines if the input field is mandatory for users |
| max\_number     | number  | integer, number                       | Sets the maximum numeric value users can input       |
| min\_number     | number  | integer, number                       | Sets the minimum numeric value users can input       |
| max\_length     | number  | text                                  | Limits the maximum length of the input string        |
| max\_file\_size | number  | image, text\_file, file, audio, video | Restricts the maximum file size for uploads          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/advanced/advanced-input-validation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
